Index: /code/trunk/src/modules/questsystem/QuestItem.cc
===================================================================
--- /code/trunk/src/modules/questsystem/QuestItem.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/QuestItem.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file QuestItem.cc
     @brief Implementation of the QuestItem class.
 */
@@ -36,4 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
 #include "QuestDescription.h"
 
@@ -86,5 +87,5 @@
     void QuestItem::setId(const std::string & id)
     {
-        if(id.compare(BLANKSTRING) == 0) //!< Checks whether the id is a valid id.
+        if(id.compare(BLANKSTRING) == 0) // Checks whether the id is a valid id.
         {
             COUT(2) << "Invalid id. QuestItem id {" << id << "} could not be set." << std::endl;
Index: /code/trunk/src/modules/questsystem/QuestItem.h
===================================================================
--- /code/trunk/src/modules/questsystem/QuestItem.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/QuestItem.h	(revision 7456)
@@ -28,7 +28,8 @@
 
 /**
-    @file
+    @file QuestItem.h
     @brief Definition of the QuestItem class.
-        The QuestItem is the parent class of Quest and QuestHint.
+        The @ref orxonox::QuestItem "QuestItem" is the parent class of @ref orxonox::Quest "Quest" and @ref orxonox::QuestHint "QuestHint".
+    @ingroup Questsystem
 */
 
@@ -47,6 +48,6 @@
     /**
     @brief
-        Functions as a base class for quest classes such as Quest or QuestHint.
-        Has a unique identifier and a description.
+        Functions as a base class for quest classes such as @ref orxonox::Quest "Quest" or @ref orxonox::QuestHint "QuestHint".
+        Has a unique identifier and a @ref orxonox::QuestDescription "QuestDescription".
     @author
         Damian 'Mozork' Frick
Index: /code/trunk/src/modules/questsystem/QuestListener.cc
===================================================================
--- /code/trunk/src/modules/questsystem/QuestListener.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/QuestListener.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file QuestListener.cc
     @brief Implementation of the QuestListener class.
 */
@@ -36,4 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
 #include "Quest.h"
 #include "QuestManager.h"
@@ -43,4 +44,10 @@
     CreateFactory(QuestListener);
 
+    //! Initialization of the static variables for the modes as strings.
+    /*static*/ const std::string QuestListener::ALL = "all";
+    /*static*/ const std::string QuestListener::START = "start";
+    /*static*/ const std::string QuestListener::FAIL = "fail";
+    /*static*/ const std::string QuestListener::COMPLETE = "complete";
+
     /**
     @brief
@@ -75,5 +82,5 @@
 
         if(this->quest_ != NULL)
-            this->quest_->addListener(this); //!< Adds the QuestListener to the Quests list of listeners.
+            this->quest_->addListener(this); // Adds the QuestListener to the Quests list of listeners.
 
         COUT(4) << "QuestListener created for quest: {" << this->quest_->getId() << "} with mode '" << this->getMode() << "'." << std::endl;
@@ -90,11 +97,9 @@
     /* static */ void QuestListener::advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status)
     {
-        for (std::list<QuestListener*>::iterator it = listeners.begin(); it != listeners.end(); ++it) //!< Iterate through all QuestListeners
+        for (std::list<QuestListener*>::iterator it = listeners.begin(); it != listeners.end(); ++it) // Iterate through all QuestListeners
         {
             QuestListener* listener = *it;
-            if(listener->getMode() == status || listener->getMode() == "all") //!< Check whether the status change affects the give QuestListener.
-            {
+            if(listener->getMode() == status || listener->getMode() == QuestListener::ALL) // Check whether the status change affects the give QuestListener.
                 listener->execute();
-            }
         }
     }
@@ -110,7 +115,7 @@
     bool QuestListener::setQuestId(const std::string & id)
     {
-        this->quest_ = QuestManager::getInstance().findQuest(id); //!< Find the Quest corresponding to the given questId.
-
-        if(this->quest_ == NULL) //!< If there is no such Quest.
+        this->quest_ = QuestManager::getInstance().findQuest(id); // Find the Quest corresponding to the given questId.
+
+        if(this->quest_ == NULL) // If there is no such Quest.
         {
             ThrowException(Argument, "This is bad! The QuestListener has not found a Quest with a corresponding id..");
@@ -131,25 +136,17 @@
     bool QuestListener::setMode(const std::string & mode)
     {
-        if(mode == "all")
-        {
+        if(mode == QuestListener::ALL)
             this->mode_ = QuestListenerMode::All;
-        }
-        else if(mode == "start")
-        {
+        else if(mode == QuestListener::START)
             this->mode_ = QuestListenerMode::Start;
-        }
-        else if(mode == "fail")
-        {
+        else if(mode == QuestListener::FAIL)
             this->mode_ = QuestListenerMode::Fail;
-        }
-        else if(mode == "complete")
-        {
+        else if(mode == QuestListener::COMPLETE)
             this->mode_ = QuestListenerMode::Complete;
-        }
         else
         {
             COUT(2) << "QuestListener with invalid mode '" << mode << "' created. Mode set to 'all'." << std::endl;
-        this->mode_ = QuestListenerMode::All;
-        return false;
+            this->mode_ = QuestListenerMode::All;
+            return false;
         }
 
@@ -161,28 +158,20 @@
         Get the mode of the QuestListener.
     @return
-        Return the mode of the QuestListener. Can be eighter 'all', 'start', 'fail' or 'complete'.
+        Return the mode of the QuestListener. Can be either 'all', 'start', 'fail' or 'complete'.
     */
     std::string QuestListener::getMode(void)
     {
-        if(this->mode_ == QuestListenerMode::All)
-        {
-            return "all";
-        }
-        else if(this->mode_ == QuestListenerMode::Start)
-        {
-            return "start";
-        }
-        else if(this->mode_ == QuestListenerMode::Fail)
-        {
-            return "fail";
-        }
-        else if(this->mode_ == QuestListenerMode::Complete)
-        {
-            return "complete";
-        }
-        else
-        {
-            COUT(1) << "An unforseen, never to happen, Error has occurred. This is impossible!" << std::endl;
-            return "";
+        switch(this->mode_)
+        {
+            case QuestListenerMode::All:
+                return QuestListener::ALL;
+            case QuestListenerMode::Start:
+                return QuestListener::START;
+            case QuestListenerMode::Fail:
+                return QuestListener::FAIL;
+            case QuestListenerMode::Complete:
+                return QuestListener::COMPLETE;
+            default: // This will never happen.
+                return QuestListener::ALL;
         }
     }
Index: /code/trunk/src/modules/questsystem/QuestListener.h
===================================================================
--- /code/trunk/src/modules/questsystem/QuestListener.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/QuestListener.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file QuestListener.h
     @brief Definition of the QuestListener class.
+    @ingroup Questsystem
 */
 
@@ -45,5 +46,5 @@
     namespace QuestListenerMode
     {
-        //! The mode of the QuestListener.
+        //! The mode of the @ref orxonox::QuestListener "QuestListener".
         enum Value
         {
@@ -57,9 +58,7 @@
     /**
     @brief
-        Provides a way to react to the starting, completing and failing of Quests.
+        Provides a way to react to the starting, completing and failing of @ref orxonox::Quest "Quests".
 
         The XML representation goes as follows:
-        You can use the QuestListener as if it were a Trigger or EventListener, that fires an Event when the status (depending on the set mode) of the given Quest changes.
-
         @code
         <BaseObject> // The object that should react to the status change of a Quest.
@@ -71,4 +70,6 @@
         </BaseObject>
         @endcode
+
+        You can use the QuestListener as if it were a @ref orxonox::Trigger "Trigger" or @ref orxonox::EventListener "EventListener", that fires an Event when the status (depending on the set mode) of the given @ref orxonox::Quest "Quest" changes.
     @author
     Damian 'Mozork' Frick
@@ -76,23 +77,30 @@
     class _QuestsystemExport QuestListener : public BaseObject
     {
-    public:
-        QuestListener(BaseObject* creator);
-        virtual ~QuestListener();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestListener object through XML.
+        public:
+            QuestListener(BaseObject* creator);
+            virtual ~QuestListener();
 
-        static void advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status); //!< Makes all QuestListener in the list aware that a certain status change has occured.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestListener object through XML.
 
-        bool setQuestId(const std::string & id); //!< Sets the questId of the Quest the QuestListener reacts to.
-        bool setMode(const std::string & mode); //!< Sets the mode of the QuestListener.
+            static void advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status); //!< Makes all QuestListener in the list aware that a certain status change has occured.
 
-        std::string getMode(void); //!< Get the mode of the QuestListener.
+            bool setQuestId(const std::string & id); //!< Sets the questId of the Quest the QuestListener reacts to.
+            bool setMode(const std::string & mode); //!< Sets the mode of the QuestListener.
 
-        const std::string & getQuestId(void);
-        bool execute(void); //!< Executes the QuestListener, resp. fires an Event.
+            std::string getMode(void); //!< Get the mode of the QuestListener.
 
-    private:
-        QuestListenerMode::Value mode_; //!< The mode of the QuestListener.
-        Quest* quest_; //!< A pointer to the Quest the QuestListener is reacting to.
+            const std::string & getQuestId(void);
+            bool execute(void); //!< Executes the QuestListener, resp. fires an Event.
+
+        private:
+            QuestListenerMode::Value mode_; //!< The mode of the QuestListener.
+            Quest* quest_; //!< A pointer to the Quest the QuestListener is reacting to.
+
+            //! Static variables for the modes as strings.
+            static const std::string ALL;
+            static const std::string START;
+            static const std::string FAIL;
+            static const std::string COMPLETE;
 
     };
Index: /code/trunk/src/modules/questsystem/QuestManager.cc
===================================================================
--- /code/trunk/src/modules/questsystem/QuestManager.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/QuestManager.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file QuestManager.cc
     @brief Implementation of the QuestManager class.
 */
@@ -34,19 +34,18 @@
 #include "QuestManager.h"
 
-#include <CEGUIWindow.h>
-
 #include "util/Exception.h"
 #include "util/ScopedSingletonManager.h"
+#include "core/command/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/GUIManager.h"
 #include "core/LuaState.h"
-#include "core/command/ConsoleCommand.h"
+
 #include "infos/PlayerInfo.h"
-#include "overlays/GUIOverlay.h"
-
-#include "ToluaBindQuestsystem.h"
+
 #include "Quest.h"
 #include "QuestHint.h"
 #include "QuestItem.h"
+
+#include "ToluaBindQuestsystem.h"
 
 namespace orxonox
@@ -66,4 +65,6 @@
     {
         RegisterRootObject(QuestManager);
+
+        COUT(3) << "QuestManager created." << std::endl;
     }
 
@@ -74,5 +75,5 @@
     QuestManager::~QuestManager()
     {
-
+        COUT(3) << "QuestManager destroyed." << std::endl;
     }
 
@@ -99,5 +100,6 @@
     bool QuestManager::registerQuest(Quest* quest)
     {
-        if(quest == NULL) //!< Doh! Just as if there were actual quests behind NULL-pointers.
+        //TODO: Replace with assert.
+        if(quest == NULL) // Doh! Just as if there were actual quests behind NULL-pointers.
         {
             COUT(2) << "Registration of Quest in QuestManager failed, because inserted Quest-pointer was NULL." << std::endl;
@@ -106,7 +108,7 @@
 
         std::pair<std::map<std::string, Quest*>::iterator,bool> result;
-        result = this->questMap_.insert( std::pair<std::string,Quest*>(quest->getId(),quest) ); //!< Inserting the Quest.
-
-        if(result.second) //!< If inserting was a success.
+        result = this->questMap_.insert( std::pair<std::string,Quest*>(quest->getId(),quest) ); // Inserting the Quest.
+
+        if(result.second) // If inserting was a success.
         {
             quest->setRegistered();
@@ -141,5 +143,6 @@
     bool QuestManager::registerHint(QuestHint* hint)
     {
-        if(hint == NULL) //!< Still not liking NULL-pointers.
+        //TODO: Replace with assert.
+        if(hint == NULL) // Still not liking NULL-pointers.
         {
             COUT(2) << "Registration of QuestHint in QuestManager failed, because inserted QuestHint-pointer was NULL." << std::endl;
@@ -148,7 +151,7 @@
 
         std::pair<std::map<std::string, QuestHint*>::iterator,bool> result;
-        result = this->hintMap_.insert ( std::pair<std::string,QuestHint*>(hint->getId(),hint) ); //!< Inserting the QuestHSint.
-
-        if(result.second) //!< If inserting was a success.
+        result = this->hintMap_.insert ( std::pair<std::string,QuestHint*>(hint->getId(),hint) ); // Inserting the QuestHSint.
+
+        if(result.second) // If inserting was a success.
         {
             hint->setRegistered();
@@ -185,15 +188,11 @@
     Quest* QuestManager::findQuest(const std::string & questId)
     {
-        if(questId.compare(BLANKSTRING) == 1) //!< Check vor validity of the given id.
-        {
+        if(questId.compare(BLANKSTRING) == 1) // Check vor validity of the given id.
             ThrowException(Argument, "Invalid questId.");
-        }
 
         Quest* quest;
         std::map<std::string, Quest*>::iterator it = this->questMap_.find(questId);
-        if (it != this->questMap_.end()) //!< If the Quest is registered.
-        {
+        if (it != this->questMap_.end()) // If the Quest is registered.
             quest = it->second;
-        }
         else
         {
@@ -203,5 +202,4 @@
 
         return quest;
-
     }
 
@@ -219,15 +217,11 @@
     QuestHint* QuestManager::findHint(const std::string & hintId)
     {
-        if(hintId.compare(BLANKSTRING) == 1) //!< Check vor validity of the given id.
-        {
+        if(hintId.compare(BLANKSTRING) == 1) // Check vor validity of the given id.
             ThrowException(Argument, "Invalid hintId.");
-        }
 
         QuestHint* hint;
         std::map<std::string, QuestHint*>::iterator it = this->hintMap_.find(hintId);
-        if (it != this->hintMap_.end()) //!< If the QuestHint is registered.
-        {
+        if (it != this->hintMap_.end()) // If the QuestHint is registered.
             hint = it->second;
-        }
         else
         {
@@ -237,8 +231,15 @@
 
         return hint;
-
-    }
-
-    int QuestManager::getNumParentQuests(PlayerInfo* player)
+    }
+
+    /**
+    @brief
+        Get the number of Quests the input player has, that are root quests.
+    @param player
+        The player.
+    @return
+        Returns the number of Quests the input player has, that are root quests.
+    */
+    int QuestManager::getNumRootQuests(PlayerInfo* player)
     {
         int numQuests = 0;
@@ -251,5 +252,15 @@
     }
 
-    Quest* QuestManager::getParentQuest(PlayerInfo* player, int index)
+    /**
+    @brief
+        Get the index-th root quest of the input player.
+    @param player
+        The player.
+    @param index
+        The index of the root quest.
+    @return
+        Returns the index-th root quest of the input player.
+    */
+    Quest* QuestManager::getRootQuest(PlayerInfo* player, int index)
     {
         for(std::map<std::string, Quest*>::iterator it = this->questMap_.begin(); it != this->questMap_.end(); it++)
@@ -261,4 +272,14 @@
     }
 
+    /**
+    @brief
+        Get the number of sub-quest of an input Quest for the input player.
+    @param quest
+        The quest to get the sub-quests of.
+    @param player
+        The player.
+    @return
+        Returns the number of sub-quest of an input Quest for the input player.
+    */
     int QuestManager::getNumSubQuests(Quest* quest, PlayerInfo* player)
     {
@@ -273,4 +294,14 @@
     }
 
+    /**
+    @brief
+        Get the index-th sub-quest of the input Quest for the input player.
+    @param quest
+        The Quest to get the sub-quest of.
+    @param player
+        The player.
+    @param index
+        The index of the sub-quest.
+    */
     Quest* QuestManager::getSubQuest(Quest* quest, PlayerInfo* player, int index)
     {
@@ -284,4 +315,13 @@
     }
 
+    /**
+    @brief
+        Get the number of QuestHints of the input Quest for the input player.
+    @param quest
+        The quest to get the hints of.
+    @param player
+        The player.
+    @return Returns the number of QuestHints of the input Quest for the input player.
+    */
     int QuestManager::getNumHints(Quest* quest, PlayerInfo* player)
     {
@@ -296,4 +336,14 @@
     }
 
+    /**
+    @brief
+        Get the index-th QuestHint of the input Quest for the input player.
+    @param quest
+        The Quest to get the QuestHint of.
+    @param player
+        The player.
+    @param index
+        The index of the QuestHint.
+    */
     QuestHint* QuestManager::getHints(Quest* quest, PlayerInfo* player, int index)
     {
@@ -307,4 +357,12 @@
     }
 
+    /**
+    @brief
+        Get the QuestDescription of the input Quest.
+    @param item
+        The Quest to get the QuestDescription of.
+    @return
+        Return a pointer ot the QuestDescription of the input Quest.
+    */
     QuestDescription* QuestManager::getDescription(Quest* item)
     {
@@ -312,4 +370,12 @@
     }
 
+    /**
+    @brief
+        Get the QuestDescription of the input QuestHint.
+    @param item
+        The QuestHint to get the QuestDescription of.
+    @return
+        Returns a pointer to the QuestDescription of the input QuestHint.
+    */
     QuestDescription* QuestManager::getDescription(QuestHint* item)
     {
Index: /code/trunk/src/modules/questsystem/QuestManager.h
===================================================================
--- /code/trunk/src/modules/questsystem/QuestManager.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/QuestManager.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file QuestManager.h
     @brief Definition of the QuestManager class.
+    @ingroup Questsystem
 */
 
@@ -44,16 +45,14 @@
 #include "core/OrxonoxClass.h"
 
-// tolua_begin
-namespace orxonox
-{
+namespace orxonox  // tolua_export
+{  // tolua_export
     /**
     @brief
-        Is a Singleton and manages Quests, by registering every Quest/QuestHint (through registerX()) and making them globally accessible (through findX()).
-        Quests (and QuestHints) are registered in the QuestManager with their id, and can be accessed in the same way.
+        Is a Singleton and manages @ref orxonox::Quest "Quests", by registering every @ref orxonox::Quest "Quest" / @ref orxonox::QuestHint "QuestHint" (through registerX()) and making them globally accessible (through findX()).
+        @ref orxonox::Quest "Quests" (and @ref orxonox::QuestHint 2) are registered in the QuestManager with their id, and can be accessed in the same way.
     @author
         Damian 'Mozork' Frick
     */
-    class _QuestsystemExport QuestManager
-// tolua_end
+    class _QuestsystemExport QuestManager  // tolua_export
         : public Singleton<QuestManager>, public orxonox::OrxonoxClass
     { // tolua_export
@@ -65,16 +64,16 @@
             virtual ~QuestManager();
 
-            //! Returns a reference to the single instance of the Quest Manager.
+            //! Returns a reference to the single instance of the QuestManager.
             static QuestManager& getInstance() { return Singleton<QuestManager>::getInstance(); } // tolua_export
 
             // tolua_begin
-            int getNumParentQuests(orxonox::PlayerInfo* player);
-            Quest* getParentQuest(orxonox::PlayerInfo* player, int index);
+            int getNumRootQuests(orxonox::PlayerInfo* player); //!< Get the number of Quests the input player has, that are root quests.
+            Quest* getRootQuest(orxonox::PlayerInfo* player, int index); //!< Get the index-th root quest of the input player.
 
-            int getNumSubQuests(Quest* quest, orxonox::PlayerInfo* player);
-            Quest* getSubQuest(Quest* quest, orxonox::PlayerInfo* player, int index);
+            int getNumSubQuests(Quest* quest, orxonox::PlayerInfo* player); //!< Get the number of sub-quest of an input Quest for an input player.
+            Quest* getSubQuest(Quest* quest, orxonox::PlayerInfo* player, int index); //!< Get the index-th sub-quest of the input Quest for the input player.
 
-            int getNumHints(Quest* quest, orxonox::PlayerInfo* player);
-            QuestHint* getHints(Quest* quest, orxonox::PlayerInfo* player, int index);
+            int getNumHints(Quest* quest, orxonox::PlayerInfo* player); //!< Get the number of QuestHints of the input Quest for the input player.
+            QuestHint* getHints(Quest* quest, orxonox::PlayerInfo* player, int index); //!< Get the index-th QuestHint of the input Quest for the input player.
 
             QuestDescription* getDescription(Quest* item);
Index: /code/trunk/src/modules/questsystem/QuestNotification.cc
===================================================================
--- /code/trunk/src/modules/questsystem/QuestNotification.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/QuestNotification.cc	(revision 7456)
@@ -26,4 +26,9 @@
  *
  */
+
+/**
+    @file QuestNotification.cc
+    @brief Implementation of the QuestNotification class.
+*/
 
 #include "QuestNotification.h"
Index: /code/trunk/src/modules/questsystem/QuestNotification.h
===================================================================
--- /code/trunk/src/modules/questsystem/QuestNotification.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/QuestNotification.h	(revision 7456)
@@ -26,4 +26,10 @@
  *
  */
+
+/**
+    @file QuestNotification.h
+    @brief Definition of the QuestNotification class.
+    @ingroup Questsystem
+*/
 
 #ifndef _QuestNotification_H__
Index: /code/trunk/src/modules/questsystem/effects/AddQuest.cc
===================================================================
--- /code/trunk/src/modules/questsystem/effects/AddQuest.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/AddQuest.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file AddQuest.cc
     @brief Implementation of the AddQuest class.
 */
@@ -34,8 +34,10 @@
 #include "AddQuest.h"
 
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
 #include "util/Exception.h"
-#include "core/CoreIncludes.h"
+
+#include "questsystem/Quest.h"
 #include "questsystem/QuestManager.h"
-#include "questsystem/Quest.h"
 
 namespace orxonox
@@ -81,5 +83,6 @@
     bool AddQuest::invoke(PlayerInfo* player)
     {
-        if(player == NULL) //!< Null-pointers are badass.
+        //TODO: Replace with assert?
+        if(player == NULL) // Null-pointers are badass.
         {
             COUT(2) << "Input player is NULL." << std::endl;
@@ -93,7 +96,5 @@
             Quest* quest = QuestManager::getInstance().findQuest(this->getQuestId());
             if(quest == NULL || !quest->start(player))
-            {
                return false;
-            }
         }
         catch(const orxonox::Exception& ex)
Index: /code/trunk/src/modules/questsystem/effects/AddQuest.h
===================================================================
--- /code/trunk/src/modules/questsystem/effects/AddQuest.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/AddQuest.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file AddQuest.h
     @brief Definition of the AddQuest class.
+    @ingroup QuestEffects
 */
 
@@ -42,8 +43,7 @@
     /**
     @brief
-        Adds a Quest, resp. changes the quests status to active for the player invoking the Quest.
+        Adds a @ref orxonox::Quest "Quest", resp. changes the @ref orxonox::Quest "Quests" status to active for the player invoking the @ref orxonox::Quest "Quest".
 
-        Creating a AddQuest through XML goes as follows:
-
+        Creating an AddQuest through XML goes as follows:
         @code
         <AddQuest questId="id" />  //Where id identifies the Quest that should be added.
Index: /code/trunk/src/modules/questsystem/effects/AddQuestHint.cc
===================================================================
--- /code/trunk/src/modules/questsystem/effects/AddQuestHint.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/AddQuestHint.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file AddQuestHint.cc
     @brief Implementation of the AddQuestHint class.
 */
@@ -34,10 +34,11 @@
 #include "AddQuestHint.h"
 
-#include "util/Exception.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "util/Exception.h"
+
+#include "questsystem/QuestHint.h"
 #include "questsystem/QuestManager.h"
 #include "questsystem/QuestItem.h"
-#include "questsystem/QuestHint.h"
 
 namespace orxonox
@@ -105,5 +106,6 @@
     bool AddQuestHint::invoke(PlayerInfo* player)
     {
-        if(player == NULL) //!< NULL-pointers are evil!
+        //TODO: Replace with assert?
+        if(player == NULL) // NULL-pointers are evil!
         {
             COUT(2) << "The input player is NULL." << std::endl;
@@ -117,7 +119,5 @@
             QuestHint* hint = QuestManager::getInstance().findHint(this->hintId_);
             if(hint == NULL || !hint->setActive(player))
-            {
                 return false;
-            }
         }
         catch(const Exception& e)
Index: /code/trunk/src/modules/questsystem/effects/AddQuestHint.h
===================================================================
--- /code/trunk/src/modules/questsystem/effects/AddQuestHint.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/AddQuestHint.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file AddQuestHint.h
     @brief Definition of the AddQuestHint class.
+    @ingroup QuestEffects
 */
 
@@ -44,8 +45,7 @@
     /**
     @brief
-        Adds a QuestHint, resp. activates the QuestHint of the given id for the player the QuestEffect is invoked on.
+        Adds a @ref orxonox::QuestHint "QuestHint", resp. activates the @ref orxonox::QuestHint "QuestHint" of the given id for the player the QuestEffect is invoked on.
 
         Creating a AddQuestHint through XML goes as follows:
-
         @code
         <AddQuestHint hintId="id" />  //Where id identifies the QuestHint that should be added.
Index: /code/trunk/src/modules/questsystem/effects/AddReward.cc
===================================================================
--- /code/trunk/src/modules/questsystem/effects/AddReward.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/AddReward.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file AddReward.cc
     @brief Implementation of the AddReward class.
 */
@@ -36,4 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
 #include "interfaces/Rewardable.h"
 
@@ -57,4 +58,5 @@
     AddReward::~AddReward()
     {
+
     }
 
@@ -85,7 +87,5 @@
         {
             if(i == 0)
-            {
                return *reward;
-            }
             i--;
         }
@@ -107,7 +107,5 @@
         bool check = true;
         for ( std::list<Rewardable*>::iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward )
-        {
             check = check && (*reward)->reward(player);
-        }
 
         COUT(4) << "Rewardable successfully added to player." << player << " ." << std::endl;
Index: /code/trunk/src/modules/questsystem/effects/AddReward.h
===================================================================
--- /code/trunk/src/modules/questsystem/effects/AddReward.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/AddReward.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file AddReward.h
     @brief Definition of the AddReward class.
+    @ingroup QuestEffects
 */
 
@@ -44,8 +45,7 @@
     /**
     @brief
-        Adds a list of Rewardables to a player.
+        Adds a list of @ref orxonox::Rewardable "Rewardables" to a player.
 
         Creating a AddReward through XML goes as follows:
-
         @code
         <AddReward>
Index: /code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.cc
===================================================================
--- /code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.cc	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file ChangeQuestStatus.cc
     @brief Implementation of the ChangeQuestStatus class.
+    @ingroup QuestEffects
 */
 
@@ -36,4 +37,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
 #include "questsystem/QuestItem.h"
 
@@ -55,4 +57,5 @@
     ChangeQuestStatus::~ChangeQuestStatus()
     {
+
     }
 
Index: /code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.h
===================================================================
--- /code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file ChangeQuestStatus.h
     @brief Definition of the ChangeQuestStatus class.
+    @ingroup QuestEffects
 */
 
@@ -44,5 +45,5 @@
     /**
     @brief
-        A QuestEffect which changes the status of a specified Quest for the player invoking the QuestEffect.
+        A QuestEffect which changes the status of a specified @ref orxonox::Quest "Quest" for the player invoking the QuestEffect.
     @author
         Damian 'Mozork' Frick
